Skip to main content
GET
/
v1
/
downloads
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/downloads/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/downloads/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/downloads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "e952cae6-48dd-4ee6-a0c8-625acc23b3b3",
  "object": "download",
  "alt": null,
  "archived": false,
  "archived_at": null,
  "name": null,
  "title": null,
  "url": null,
  "media": "57db3503-d8d4-478b-be2c-73c077a866df",
  "product": "3f16ec38-361e-46fd-8b1e-271ea1c13cb2",
  "variant": null,
  "created_at": 1782485827,
  "updated_at": 1782485827
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

alt
string | null

The HTML alt attribute for the download.

archived
boolean

Whether or not this download is archived.

name
string | null

The name of this download which will be visible to customers. This is required if a url is used instead of attaching a Media record.

title
string | null

The HTML title attribute for the download.

url
string | null

Instead of attaching a Media record a public URL can be set. If set, customers will be directed to this URL.

archived_at
integer | null

Time at which the object was archived. Measured in seconds since the Unix epoch.

media

Expandable – The associated media ID.

product

Expandable – The associated product ID.

variant

Expandable – The associated variant ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.